summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2017-09-11 13:14:29 +0200
committerSebastian Pipping <sping@gentoo.org>2017-09-11 13:14:29 +0200
commit8974ff6ab47f65ef673e2e4fa7808cdccb1e0ad0 (patch)
treefd4f27b127640119986840beba18d35bd3b20b9a
parentmedia-sound/soundkonverter: 2.2.2_p20170829-r2 (diff)
downloadbetagarden-8974ff6ab47f65ef673e2e4fa7808cdccb1e0ad0.tar.gz
betagarden-8974ff6ab47f65ef673e2e4fa7808cdccb1e0ad0.tar.bz2
betagarden-8974ff6ab47f65ef673e2e4fa7808cdccb1e0ad0.zip
media-sound/pacmixer: 0.6.3
-rw-r--r--media-sound/pacmixer/Manifest1
-rw-r--r--media-sound/pacmixer/pacmixer-0.6.3.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/media-sound/pacmixer/Manifest b/media-sound/pacmixer/Manifest
index e418465..2c1591a 100644
--- a/media-sound/pacmixer/Manifest
+++ b/media-sound/pacmixer/Manifest
@@ -1 +1,2 @@
DIST pacmixer-0.6.2.tar.gz 125572 SHA256 6ffbcaa4abf5300e9e10bd0da78eef3e011741bd5509f32bd9f6b14250d27f94 SHA512 21c2591a409991e93486896672d9eff5ee543bf792f61952963c72001bfc1cd65dcda3d78478be687cbb7374df1e49cb27f055939f7920e7cb838010d012d195 WHIRLPOOL 7dd10d256d677712d2cd1ee471d00e5a017c29e6379b535c0547969e7fda91374315b21bc5bb3a25f82ffbdd4ff3ea895a9d90dabb7861ad271615167bc20f6c
+DIST pacmixer-0.6.3.tar.gz 125506 SHA256 853bad75f57afa93df16902c78cc452bc79f3a38db5e0f6452cd10b3b07a5f7a SHA512 31bcda2cd1d85b54fe0bc9a676acd91ad94ead35ad27b63cedec0590165d0a114635b2961edaa8ea0920031c81194e784c15d2f78d74f7e1e483a0d453b01a24 WHIRLPOOL 6896334b8040b3394e050e2725212488442840ee7c82851e71fb24206d279a35a1375931846637faf4d98ac0aab6e02c8e6166dcc880519d1ed64d40d93c8a18
diff --git a/media-sound/pacmixer/pacmixer-0.6.3.ebuild b/media-sound/pacmixer/pacmixer-0.6.3.ebuild
new file mode 100644
index 0000000..a35f923
--- /dev/null
+++ b/media-sound/pacmixer/pacmixer-0.6.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="alsamixer alike for PulseAudio"
+HOMEPAGE="https://github.com/KenjiTakahashi/pacmixer/"
+SRC_URI="https://github.com/KenjiTakahashi/pacmixer/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="gnustep-base/gnustep-base
+ media-sound/pulseaudio
+ sys-libs/ncurses:0/6"
+DEPEND="${CDEPEND}
+ dev-util/ninja
+ sys-devel/gcc[cxx,objc,objc++]"
+RDEPEND="${CDEPEND}
+ sys-devel/gcc[cxx]"
+
+src_compile() {
+ ./mk || die
+}
+
+src_install() {
+ DESTDIR="${D}" PREFIX=/usr ./mk install || die
+}